Package org.apache.torque.generator.java

## Class JavaOutlet

- java.lang.Object
- - org.apache.torque.generator.outlet.OutletImpl
  - - org.apache.torque.generator.java.JavaOutlet

- All Implemented Interfaces:
    `Outlet`

      public class JavaOutlet
      extends OutletImpl

  A test java outlet.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaOutlet​(QualifiedName name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `OutletResult` | `execute​(ControllerState controllerState)` |
    `String` | `getBar()` |
    `String` | `getFoo()` |
    `int` | `hashCode()` |
    `void` | `setBar​(String bar)` |
    `void` | `setFoo​(String foo)` |

    - ### Methods inherited from class org.apache.torque.generator.outlet.OutletImpl

      `addMergepointMapping, afterExecute, beforeExecute, getInputClass, getInputElementName, getMergepointMapping, getMergepointMappings, getName, getVariable, mergepoint, setInputClass, setInputElementName, setMergepointMapping, setVariable, setVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaOutlet

          public JavaOutlet​(QualifiedName name)

  - ### Method Detail

    - #### execute

          public OutletResult execute​(ControllerState controllerState)
                               throws GeneratorException

      Specified by:
        `execute` in interface `Outlet`
      Specified by:
        `execute` in class `OutletImpl`
      Throws:
        `GeneratorException`

    - #### setFoo

          public void setFoo​(String foo)

    - #### setBar

          public void setBar​(String bar)

    - #### getBar

          public String getBar()

    - #### getFoo

          public String getFoo()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`